ods-enforcerd.c File Reference
`#include "config.h"`
`#include <getopt.h>`
`#include <libxml/parser.h>`
`#include "daemon/engine.h"`
`#include "log.h"`
`#include "duration.h"`
`#include "locks.h"`
`#include "enforcer/autostart_cmd.h"`
`#include "parser/confparser.h"`

Go to the source code of this file.

## Macros

#define | AUTHOR_NAME "Matthijs Mekking, Yuri Schaeffer, René Post"
#define | COPYRIGHT_STR "Copyright (C) 2010-2011 NLnet Labs OpenDNSSEC"

## Functions

int | main (int argc, char *argv[])

## Macro Definition Documentation

## AUTHOR_NAME

#define AUTHOR_NAME "Matthijs Mekking, Yuri Schaeffer, René Post"

OpenDNSSEC key and signing policy enforcer daemon.

Definition at line 44 of file ods-enforcerd.c.

## COPYRIGHT_STR

#define COPYRIGHT_STR "Copyright (C) 2010-2011 NLnet Labs OpenDNSSEC"

Definition at line 45 of file ods-enforcerd.c.

## Function Documentation

## main()

int main | ( | int | argc,
|  | char * | argv[] )

Main. start engine and run it.

Definition at line 124 of file ods-enforcerd.c.

References argv0, autostart(), engine_alloc(), engine_config(), engine_config_check(), engine_config_cleanup(), engine_config_print(), engine_dealloc(), engine_init(), engine_run(), engine_setup(), and engine_teardown().